import { FormValidatorService } from '../../core/form-validator.service';
import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { UntypedFormArray, UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { Location } from '@angular/common';
import { ImportCsvConfig } from '../import-csv-config';
import * as i0 from "@angular/core";
export declare class FieldMappingComponent implements OnInit {
    private fb;
    private formValidatorService;
    private changeDetectorRef;
    location: Location;
    importMappingForm: UntypedFormGroup;
    data: any[];
    config: ImportCsvConfig;
    firstDataArray: any[];
    properties: any[];
    onSave: EventEmitter<any>;
    onReUpload: EventEmitter<any>;
    constructor(fb: UntypedFormBuilder, formValidatorService: FormValidatorService, changeDetectorRef: ChangeDetectorRef, location: Location);
    ngOnInit(): void;
    createImportMappingForm(): void;
    get fieldsArray(): UntypedFormArray;
    createField(field: any): UntypedFormGroup;
    reFectorAttributes(data: any): void;
    next(): void;
    /** Method to evaluate form fields*/
    isFieldValid(field: string, form: any): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string, form: any): any;
    ngAfterViewInit(): void;
    updatePropertyType(event: any, index: any): void;
    uniqueValidator(): void;
    removeField(index: number): void;
    reUpload(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FieldMappingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FieldMappingComponent, "app-field-mapping", never, { "data": { "alias": "data"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "onSave": "onSave"; "onReUpload": "onReUpload"; }, never, never, false, never>;
}
